Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
software_library:compatibility [2020/08/31 21:05]
muaddib [Discussion]
software_library:compatibility [2020/09/01 07:39] (current)
muaddib [Discussion]
Line 21: Line 21:
     * ✅ Most programs that rely on the legacy CPU behavior store their code in Chip RAM.  If the Apollo 68080 starts executing program code from Chip RAM, then it puts itself into "​turtle mode" automatically. ​ (You can also trigger turtle mode manually.) ​ In turtle mode, the CPU does not run too fast.     * ✅ Most programs that rely on the legacy CPU behavior store their code in Chip RAM.  If the Apollo 68080 starts executing program code from Chip RAM, then it puts itself into "​turtle mode" automatically. ​ (You can also trigger turtle mode manually.) ​ In turtle mode, the CPU does not run too fast.
   - Amiga models other than the CD32 do not have the Akiko chip.  If a program is using Akiko C2P routines, it fails on Amigas other than the CD32.   - Amiga models other than the CD32 do not have the Akiko chip.  If a program is using Akiko C2P routines, it fails on Amigas other than the CD32.
-    * ✅ The Vampire ​supports ​all Akiko C2P routines.+    * ✅ The Vampire ​1200 V2 and the Vampire Standalone support ​all Akiko C2P routines. ​ ​(Akiko C2P is only useful for AGA-compatible Amigas.)
   - Newer AmigaOS versions have different internal (undocumented) behavior than older AmigaOS versions. ​ If a program is relying on the exact internal behavior of a particular OS version, it fails on newer OS versions.   - Newer AmigaOS versions have different internal (undocumented) behavior than older AmigaOS versions. ​ If a program is relying on the exact internal behavior of a particular OS version, it fails on newer OS versions.
     * ✅ The Vampire is compatible with all AmigaOS versions, and provides a variety of convenient ways to use older Kickstart versions.     * ✅ The Vampire is compatible with all AmigaOS versions, and provides a variety of convenient ways to use older Kickstart versions.
Last modified: le 2020/08/31 21:05